diff --git a/buglist b/buglist
index 6ebb8a7..214154c 100644
--- a/buglist
+++ b/buglist
@@ -12,6 +12,73 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7142: exp^log(x) Cannot take first of an empty list
+
+(3) -> exp^log(x)
+
+   >> System error:
+   Cannot take first of an empty list
+
+(1) -> integrate(%i^log(z), z)
+
+            log(%i)log(z)
+        z %e
+   (1)  -----------------
+           log(%i) + 1
+                                Type: Union(Expression(Complex(Integer)),...)
+(2) -> integrate(f^log(z), z)
+
+            log(f)log(z)
+        z %e
+   (2)  ----------------
+           log(f) + 1
+                                         Type: Union(Expression(Integer),...)
+(3) -> integrate(sin^log(z), z)
+
+            log(sin)log(z)
+        z %e
+   (3)  ------------------
+           log(sin) + 1
+                                         Type: Union(Expression(Integer),...)
+(4) -> integrate(tan^log(z), z)
+
+            log(tan)log(z)
+        z %e
+   (4)  ------------------
+           log(tan) + 1
+                                         Type: Union(Expression(Integer),...)
+(5) -> integrate(sqrt^log(z), z)
+
+            log(sqrt)log(z)
+        z %e
+   (5)  -------------------
+           log(sqrt) + 1
+                                         Type: Union(Expression(Integer),...)
+(6) -> integrate(atan^log(z), z)
+
+            log(atan)log(z)
+        z %e
+   (6)  -------------------
+           log(atan) + 1
+                                         Type: Union(Expression(Integer),...)
+(7) -> integrate(asinh^log(z), z)
+
+            log(asinh)log(z)
+        z %e
+   (7)  --------------------
+           log(asinh) + 1
+                                         Type: Union(Expression(Integer),...)
+(8) -> integrate(exp^log(z), z)
+ 
+   >> System error:
+   Cannot take first of an empty list
+
+(8) -> integrate(log^log(z), z)
+ 
+   >> System error:
+   Cannot take first of an empty list
+
+=========================================================================
 todo 335: add packages to )d op gcd
 
 )d op gcd should show examples for the PGCD package
@@ -18272,73 +18339,6 @@ eval(deq,y,f)
 bug 7143: asq cannot find AHYP
 
 =========================================================================
-bug 7142: exp^log(x) Cannot take first of an empty list
-
-(1) -> integrate(%i^log(z), z)
-
-            log(%i)log(z)
-        z %e
-   (1)  -----------------
-           log(%i) + 1
-                                Type: Union(Expression(Complex(Integer)),...)
-(2) -> integrate(f^log(z), z)
-
-            log(f)log(z)
-        z %e
-   (2)  ----------------
-           log(f) + 1
-                                         Type: Union(Expression(Integer),...)
-(3) -> integrate(sin^log(z), z)
-
-            log(sin)log(z)
-        z %e
-   (3)  ------------------
-           log(sin) + 1
-                                         Type: Union(Expression(Integer),...)
-(4) -> integrate(tan^log(z), z)
-
-            log(tan)log(z)
-        z %e
-   (4)  ------------------
-           log(tan) + 1
-                                         Type: Union(Expression(Integer),...)
-(5) -> integrate(sqrt^log(z), z)
-
-            log(sqrt)log(z)
-        z %e
-   (5)  -------------------
-           log(sqrt) + 1
-                                         Type: Union(Expression(Integer),...)
-(6) -> integrate(atan^log(z), z)
-
-            log(atan)log(z)
-        z %e
-   (6)  -------------------
-           log(atan) + 1
-                                         Type: Union(Expression(Integer),...)
-(7) -> integrate(asinh^log(z), z)
-
-            log(asinh)log(z)
-        z %e
-   (7)  --------------------
-           log(asinh) + 1
-                                         Type: Union(Expression(Integer),...)
-(8) -> integrate(exp^log(z), z)
- 
-   >> System error:
-   Cannot take first of an empty list
-
-(8) -> integrate(log^log(z), z)
- 
-   >> System error:
-   Cannot take first of an empty list
-
-
- 
-   >> System error:
-   Cannot take first of an empty list
-
-=========================================================================
 
 todo 318: do a plucker/grassman example
 
diff --git a/changelog b/changelog
index 3bd854f..2bc9b8d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140613 tpd src/axiom-website/patches.html 20140613.05.tpd.patch
+20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.04.tpd.patch
 20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4d5899f..f6464a4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4428,6 +4428,8 @@ books/ProvingAxiomCorrect state the problem
 books/bookvol4,vol10.3 What is the purpose of the HACKPI domain?
 <a href="patches/20140613.04.tpd.patch">20140613.04.tpd.patch</a>
 buglist 7142 exp^log(x) Cannot take first of an empty list update
+<a href="patches/20140613.05.tpd.patch">20140613.05.tpd.patch</a>
+buglist 7142 exp^log(x) Cannot take first of an empty list update
  </body>
 </html>
 
